1. Transportation
Ecoland
  • EcoLand
    • Authentication
      • Sign-In
      • Sign-up
      • Refresh Token
    • User
      • Resources
      • User Information
      • User Information
    • Buildings
      • Building Details
      • All Buildings
      • Construct Building
      • List of Possible Construction
      • Possible Prudctions of a building
    • Production
      • Cancel Production
      • Start Production
    • Transportation
      • Shipment
        POST
    • Admin
      • user-management
        • Users
  • Schemas
    • EcoLand
      • Storage_Base
      • Production_Base
      • Building_Base
      • Product_Base
      • Construciton_Base
      • Shipment_Base
      • ProductionsInOut_List
      • Productions_Def
      • UserInfo
      • UserResources
    • Error_Responses
      • Insufficent_Money
  1. Transportation

Shipment

Developing
POST
/transportation/shipment
Ship products from one building to the other

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "building_from_id": 0,
    "building_to_id": 0,
    "product_id": 0,
    "amount": 0
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/transportation/shipment' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "building_from_id": 0,
    "building_to_id": 0,
    "product_id": 0,
    "amount": 0
}'

Responses

🟢202Accepted
application/json
Body

Example
{}
🟠404Record not found
🟠400Insufficent Product
🟠400Building does not Exist
Modified at 2025-01-30 21:34:25
Previous
Start Production
Next
Users
Built with